from Tkinter import *
from Graph import *
from ColorDict import *
from ClusterDict import *

class MyCanvas(Frame):
	def __init__(self, root, g, edges):
		Frame.__init__(self, root)

		self.canvas = Canvas(width=1300, height=800, bg='white')
		self.canvas.pack(fill=BOTH, expand=1)

		c = ColorDict()
		cl = ClusterDict()
		
		for node in g.nodes:
			cluster = cl.clusters[int(node.name)][4]
			color = c.colors[int(cluster)]
			oval = self.canvas.create_oval(node.pos[0]-1, node.pos[1]-1, node.pos[0]+1, node.pos[1]+1, width=1, fill=color, outline=color)
			text = self.canvas.create_text(node.pos[0], node.pos[1]-5, text=node.name, state='hidden', tags=oval+1) 
		
		if edges:
			for edg, info in g.edges.iteritems():
				for edge in info:
					node1 = edge[1]
					node2 = edge[2]
					self.canvas.create_line(node1.pos[0], node1.pos[1], node2.pos[0], node2.pos[1])